org.apache.commons.lang3.reflect

## Interface Typed<T>

- All Known Implementing Classes:
    TypeLiteral

      public interface Typed<T>

  Generalization of "has a type."
  Since:
    3.2
  Version:
    $Id: Typed.java 1552659 2013-12-20 13:35:22Z britter $
  See Also:
    `TypeLiteral`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getType()` Get the `Type` represented by this entity.

- - ### Method Detail

    - #### getType

          Type getType()

      Get the `Type` represented by this entity.
      Returns:
        Type

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.